#ifndef VIDEOWRAPPER_H
#define VIDEOWRAPPER_H

#endif

// *******************************************
// *** INCLUSIONS OUTILS EXTERNES - FFMPEG ***
// *******************************************

extern "C" {
        #include <libavutil/common.h>
        #include <libavcodec/avcodec.h>
        #include <libavformat/avformat.h>
        #include <libswscale/swscale.h>
}

class videowrapper
{
        public:
                videowrapper();
                void delete_videowrapper();

        public:
                int load_video(QString);
                int videoStream;
                uint8_t *buffer;
                int numBytes;
                QImage read_frame(int64_t);
                int compte_frame;
                int i;
                int old_frame;
                float posms;
                int old_result;
                QImage oldimg;

                int frameFinished;
                int64_t DesiredFrameNumber;
                AVPacket packet;

                AVFormatContext *pFormatCtx;
                AVCodec *pCodec;
                AVCodecContext *pCodecCtx;
                AVFrame *pFrame;
                AVFrame *pFrameRGB;

                int64_t seek_target;

                SwsContext *img_convert_ctx;
        signals:

        private:
        protected:
};
